#include "VidHeader.h"

int main(int argc, char * argv[])
{
	if(	argc	<	1 ){
		fprintf( stderr, "Needs a VID file as command line input." );
		return 1;
	}

	VidHeader * vid = new VidHeader(argv[1], NULL);

	char outfile[1000];
	int frame_number = 0;
	while( frame_number < vid -> num_frames ) {
		vid -> readFrameFromVideoFile( frame_number );
		sprintf(outfile,"./frames/%05d.ppm", frame_number);
		//vid -> writePPMimage(outfile, vid -> pixmap);
		if( frame_number % 20 == 1 ){
			printf( "Uncompressing frame %u...\r", frame_number );
			fflush( stdout );
		}
		frame_number++;
	}

	delete vid;
	return 0;
}

